%{?nodejs_find_provides_and_requires}

%global module_name strip-json-comments

Name:       nodejs-%{module_name}
Version:    1.0.2
Release:    2%{?dist}
Summary:    Strip comments from JSON
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/sindresorhus/strip-json-comments
Source:     https://github.com/sindresorhus/strip-json-comments/archive/v%{version}.tar.gz

BuildArch:  noarch
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging


%description
Strip comments from JSON. Lets you use comments in your JSON files!

%prep
%setup -q -n strip-json-comments-%{version}

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/strip-json-comments
cp -pr package.json strip-json-comments.js \
    %{buildroot}%{nodejs_sitelib}/strip-json-comments
install -p -D -m0755 cli.js %{buildroot}%{nodejs_sitelib}/strip-json-comments/

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/strip-json-comments/cli.js \
    %{buildroot}%{_bindir}/strip-json-comments

%nodejs_symlink_deps

%files
%{!?_licensedir:%global license %doc}
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}
%{_bindir}/%{module_name}

%changelog
* Wed Dec 30 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.2-2
- Specify exclusively arch list as per nodejs packaging guidelines

* Sun Oct 19 2014 Anish Patil <apatil@redhat.com> - 1.0.2-1
- Upstream has released new version

* Tue Aug 19 2014 Anish Patil <apatil@redhat.com> - 1.0.1-1
- Upstream has released new version

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jun 4 2014 Anish Patil <apatil@redhat.com> - 0.1.3-4
- Incorporated package review comments

* Wed May 28 2014 Anish Patil <apatil@redhat.com> - 0.1.2-3
- Incorporated package review comments

* Wed May 07 2014 Anish Patil <apatil@redhat.com> - 0.1.1-2
- Incorporated package review comments

* Thu Apr 10 2014 Anish Patil <apatil@redhat.com> - 0.1.1-1
- Initial package
